Index: snovis/head/obuild/sh/build_app_prog_snova
===================================================================
--- snovis/head/obuild/sh/build_app_prog_snova	(revision 6)
+++ snovis/head/obuild/sh/build_app_prog_snova	(revision 92)
@@ -109,5 +109,5 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
 if [ ${obuild_platform_result} = yes ] ; then
-bhep_home="/Users/barrand/dev/exp/nemo/bhep/v1r4p1"
+bhep_home="/Users/barrand/dev/exp/nemo/bhep/v1r4p2"
 fi
 unset obuild_platform_result
@@ -127,32 +127,14 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
 if [ ${obuild_platform_result} = yes ] ; then
-GeomUtils_home="/Users/barrand/dev/exp/nemo/SNgeom/v0r1p0/build_area/GeomUtils"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Darwin'`
-if [ ${obuild_platform_result} = yes ] ; then
-GeomUtils_platform="Darwin-i386"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
-if [ ${obuild_platform_result} = yes ] ; then
-SNgeom2_home="/Users/barrand/dev/exp/nemo/SNgeom/v0r1p0/build_area/SNgeom2"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
-if [ ${obuild_platform_result} = yes ] ; then
-snova_home="/Users/barrand/dev/exp/nemo/SNgeom/v0r1p0/build_area/snova"
+snova_home="/Users/barrand/dev/exp/nemo/snova/v2r0p0"
+fi
+unset obuild_platform_result
+if [ "${obuild_platform_exe}" = "" ] ; then
+  echo "Variable obuild_platform_exe not defined."
+  exit
+fi
+obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Darwin'`
+if [ ${obuild_platform_result} = yes ] ; then
+snova_platform="Darwin"
 fi
 unset obuild_platform_result
@@ -172,50 +154,5 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
 if [ ${obuild_platform_result} = yes ] ; then
-Geant4_home="/geant4/geant4.8.2"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Darwin'`
-if [ ${obuild_platform_result} = yes ] ; then
-Geant4_work="${Geant4_home}/Darwin"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Linux'`
-if [ ${obuild_platform_result} = yes ] ; then
-Geant4_work="${Geant4_home}/slc3_gcc323"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Darwin'`
-if [ ${obuild_platform_result} = yes ] ; then
-Geant4_system="Darwin-g++"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Linux'`
-if [ ${obuild_platform_result} = yes ] ; then
-Geant4_system="Linux-g++"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Windows_NT'`
-if [ ${obuild_platform_result} = yes ] ; then
-Geant4_system="WIN32-VC"
+Geant4_home="/usr/local/geant4/8.2"
 fi
 unset obuild_platform_result
@@ -422,32 +359,41 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
 if [ ${obuild_platform_result} = yes ] ; then
-obuild_cxx_includes="-I${SNOVA_ROOT}"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
-if [ ${obuild_platform_result} = yes ] ; then
-obuild_cxx_includes="${obuild_cxx_includes} -I${SNGEOM2_ROOT}/include"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
-if [ ${obuild_platform_result} = yes ] ; then
-obuild_cxx_includes="${obuild_cxx_includes} -I${GEOMUTILS_ROOT}/include"
-fi
-unset obuild_platform_result
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Darwin'`
-if [ ${obuild_platform_result} = yes ] ; then
-obuild_cxx_includes="${obuild_cxx_includes} -I${BHEP_ROOT}/Darwin/include"
+obuild_cxx_includes="-I${snova_home}"
+fi
+unset obuild_platform_result
+if [ "${obuild_platform_exe}" = "" ] ; then
+  echo "Variable obuild_platform_exe not defined."
+  exit
+fi
+obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
+if [ ${obuild_platform_result} = yes ] ; then
+obuild_cxx_includes="${obuild_cxx_includes} -I${snova_home}/source/GeomUtils/include"
+fi
+unset obuild_platform_result
+if [ "${obuild_platform_exe}" = "" ] ; then
+  echo "Variable obuild_platform_exe not defined."
+  exit
+fi
+obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
+if [ ${obuild_platform_result} = yes ] ; then
+obuild_cxx_includes="${obuild_cxx_includes} -I${snova_home}/source/SNgeom2/include"
+fi
+unset obuild_platform_result
+if [ "${obuild_platform_exe}" = "" ] ; then
+  echo "Variable obuild_platform_exe not defined."
+  exit
+fi
+obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
+if [ ${obuild_platform_result} = yes ] ; then
+obuild_cxx_includes="${obuild_cxx_includes} -I${snova_home}/source/SNvertex/include"
+fi
+unset obuild_platform_result
+if [ "${obuild_platform_exe}" = "" ] ; then
+  echo "Variable obuild_platform_exe not defined."
+  exit
+fi
+obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
+if [ ${obuild_platform_result} = yes ] ; then
+obuild_cxx_includes="${obuild_cxx_includes} -I${bhep_home}"
 fi
 unset obuild_platform_result
@@ -483,5 +429,5 @@
 if [ ${obuild_verbose} = yes ] ; then set -x;fi
 cd "${obuild_snovis_path}/${obuild_dir_bin}"
- eval ${obuild_cxx_command} -c ${obuild_cxx_debug_local} ${obuild_cxx_optimize_local} ${obuild_cxx_options} ${obuild_cxx_macros} ${obuild_cxx_includes} -o ./app_prog_snova/prog_snova.o ../applications/prog_snova.cc
+ eval ${obuild_cxx_command} -c ${obuild_cxx_debug_local} ${obuild_cxx_optimize_local} ${obuild_cxx_options} ${obuild_cxx_macros} ${obuild_cxx_includes} -o ./app_prog_snova/prog_snova2.o \"../applications/prog_snova2.cxx\"
 obuild_status=$?;if [ ${obuild_status} != 0 ] ; then exit ${obuild_status};fi
 cd "${obuild_snovis_path}/obuild"
@@ -590,17 +536,14 @@
   obuild_cxx_linker_optimize_local=
 fi
-obuild_linked_paths="-L\"${obuild_snovis_path}/${obuild_dir_bin}\""
-obuild_linked_libraries=" -lsnova"
-obuild_linked_libraries="${obuild_linked_libraries} -L${SNGEOM2_ROOT}/Darwin-i386/lib -lsngeom"
-obuild_linked_libraries="${obuild_linked_libraries} -L${GEOMUTILS_ROOT}/Darwin-i386/lib -lgeomutils"
-obuild_linked_libraries="${obuild_linked_libraries} -L${BHEP_ROOT}/Darwin/lib -lbhep"
-obuild_linked_libraries="${obuild_linked_libraries} -L${Geant4_work}/lib/${Geant4_system} -lG4interfaces"
-if [ "${obuild_platform_exe}" = "" ] ; then
-  echo "Variable obuild_platform_exe not defined."
-  exit
-fi
-obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
-if [ ${obuild_platform_result} = yes ] ; then
-obuild_linked_libraries="${obuild_linked_libraries} -L${Geant4_work}/lib/${Geant4_system} -lG4readout -lG4run -lG4event -lG4tracking -lG4processes -lG4digits_hits -lG4track -lG4particles -lG4geometry -lG4graphics_reps -lG4materials -lG4intercoms -lG4global"
+obuild_linked_libraries="-L${snova_home}/Darwin -lsnova -lsnvertex -lsngeom -lgeomutils"
+obuild_linked_libraries="${obuild_linked_libraries} -L${bhep_home}/Darwin -lbhep"
+obuild_linked_libraries="${obuild_linked_libraries} -L${Geant4_home}/lib -lG4interfaces"
+if [ "${obuild_platform_exe}" = "" ] ; then
+  echo "Variable obuild_platform_exe not defined."
+  exit
+fi
+obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
+if [ ${obuild_platform_result} = yes ] ; then
+obuild_linked_libraries="${obuild_linked_libraries} -L${Geant4_home}/lib -lG4readout -lG4run -lG4event -lG4tracking -lG4processes -lG4digits_hits -lG4track -lG4particles -lG4geometry -lG4graphics_reps -lG4materials -lG4intercoms -lG4global"
 fi
 unset obuild_platform_result
